import { GlobalTheme } from '@clds/component-theme';

export type Size = keyof GlobalTheme['spacing'];
export interface FoundationContext {
  /** the declared expected space that consuming component can allocate */
  size: Size;
}

export type Tone = 'solid' | 'subtle';
export type Variant =
  | 'primary'
  | 'secondary'
  | 'error'
  | 'success'
  | 'warning'
  | 'overlay';
export interface SurfaceContext {
  variant: Variant;
  tone: Tone;
}
